org.kie.internal.xstream

## Class XStreamUtils

- java.lang.Object
- - org.kie.internal.xstream.XStreamUtils

-     public class XStreamUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XStreamUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.thoughtworks.xstream.XStream` | `createXStream()`
    `static com.thoughtworks.xstream.XStream` | `createXStream(com.thoughtworks.xstream.io.HierarchicalStreamDriver hierarchicalStreamDriver)`
    `static com.thoughtworks.xstream.XStream` | `createXStream(com.thoughtworks.xstream.io.HierarchicalStreamDriver hierarchicalStreamDriver, ClassLoader classLoader)`
    `static com.thoughtworks.xstream.XStream` | `createXStream(com.thoughtworks.xstream.converters.reflection.ReflectionProvider reflectionProvider)`
    `static com.thoughtworks.xstream.XStream` | `createXStream(com.thoughtworks.xstream.converters.reflection.ReflectionProvider reflectionProvider, Function<com.thoughtworks.xstream.mapper.MapperWrapper,com.thoughtworks.xstream.mapper.MapperWrapper> mapper)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XStreamUtils

          public XStreamUtils()

  - ### Method Detail

    - #### createXStream

          public static com.thoughtworks.xstream.XStream createXStream()

    - #### createXStream

          public static com.thoughtworks.xstream.XStream createXStream(com.thoughtworks.xstream.io.HierarchicalStreamDriver hierarchicalStreamDriver)

    - #### createXStream

          public static com.thoughtworks.xstream.XStream createXStream(com.thoughtworks.xstream.io.HierarchicalStreamDriver hierarchicalStreamDriver,
                                                                       ClassLoader classLoader)

    - #### createXStream

          public static com.thoughtworks.xstream.XStream createXStream(com.thoughtworks.xstream.converters.reflection.ReflectionProvider reflectionProvider)

    - #### createXStream

          public static com.thoughtworks.xstream.XStream createXStream(com.thoughtworks.xstream.converters.reflection.ReflectionProvider reflectionProvider,
                                                                       Function<com.thoughtworks.xstream.mapper.MapperWrapper,com.thoughtworks.xstream.mapper.MapperWrapper> mapper)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.